curl --request GET \
--url https://app.onecodex.com/api/v1/jobs/{id}/details \
--header 'X-API-Key: <api-key>'import requests
url = "https://app.onecodex.com/api/v1/jobs/{id}/details"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://app.onecodex.com/api/v1/jobs/{id}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"autorun_on_org_sample_upload": true,
"image_uri": "<string>",
"inject_bearer_token": true,
"job_type": "shell_script",
"nextflow_version": "<string>",
"script": "<string>",
"arguments_schema": [
{
"description": "<string>",
"fa_icon": "<string>",
"fields": [
{
"name": "<string>",
"type": "string",
"choices": [
"<string>"
],
"default": null,
"description": "<string>",
"env_name": "",
"fa_icon": "<string>",
"help_text": "<string>",
"pattern": "<string>",
"required": false
}
],
"title": "<string>"
}
],
"assets": [
{
"__DOLLAR_REF__": "/api/v1/assets/a1b2c3d4e5f67890"
}
],
"cpu": 123,
"dependencies": [
{
"job": {
"__DOLLAR_REF__": "/api/v1/jobs/a1b2c3d4e5f67890"
},
"output_dir": "<string>"
}
],
"description": "<string>",
"ram_gb": 123,
"repository": {
"url": "<string>",
"tag": "<string>"
},
"storage_gb": 123
}Job Details
Authorizations
Path Parameters
Response
OK
Whether this job runs automatically on every newly uploaded sample in the user's organization.
Fully qualified OCI image URI used to run the job. Empty for Nextflow jobs.
Whether the user's One Codex bearer token is injected into the analysis job as $ONE_CODEX_BEARER_TOKEN.
Whether this is a shell script or a Nextflow job.
shell_script, nextflow The Nextflow version this job runs with. Empty for shell script jobs.
The script that is executed when the job runs.
The schema for the arguments to parametrize this job. Each field is exposed in the script as $ARGS_<UPPER_NAME>. Example: [{"fields": [{"name": "min_quality", "type": "integer"}, {"name": "adapter", "type": "string"}]}]. The input sample is not a parameter; it is passed separately at run time
Show child attributes
Show child attributes
An optional list of assets associated with this job
Show child attributes
Show child attributes
The number of CPU cores used for this job, set only for shell script jobs
Optional job dependencies for this job. If provided, will be triggered automatically when this job is run
Show child attributes
Show child attributes
The human-readable description of the job. Supports markdown
The amount of RAM used for this job in GB, set only for shell script jobs
The git repository that this job runs against
Show child attributes
Show child attributes
The amount of storage used for this job in GB, set only for shell script jobs

